This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ShowGuardrail

1 - 1.2

get /v1/guardrails/{guardrail_id}

Description

show a specific guardrail.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
Guardrail ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}

2 - 1.1

get /v1/guardrails/{guardrail_id}

Description

show a specific guardrail.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
Guardrail ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}

3 - 1.0

get /v1/guardrails/{guardrail_id}

Description

show a specific guardrail.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathguardrail_id
required
Guardrail ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
stringNone
querylanding_zone_id
optional
Landing Zone ID
Example : 2c8a138f8d78e1fc29a449dbfa8681
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGuardrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/guardrails/{guardrail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Example HTTP response

Response 200

{
    "guardrail": {
        "binding_ous": [],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "description": "This is an example guardrail.",
        "guidance": "MANDATORY",
        "id": "2c8a138f8d78e1fc29a449dbfa8681",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "name": "foo-guardrail",
        "service_name": "iam",
        "srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
        "status": "DISABLED",
        "type": "PREVENTIVE"
    }
}